import React from 'react';
import type { CollectionTabPluginMetadata } from '../modules/collection-tab';
import type { HadronPluginComponent } from 'hadron-app-registry';
export interface CollectionTabPlugin {
    name: string;
    component: HadronPluginComponent<CollectionTabPluginMetadata, any>;
}
type CollectionTabComponentsProviderValue = {
    tabs: CollectionTabPlugin[];
    modals: CollectionTabPlugin['component'][];
    queryBar: CollectionTabPlugin['component'];
};
export declare const CollectionTabsProvider: React.FunctionComponent<Partial<CollectionTabComponentsProviderValue>>;
export declare function useCollectionSubTabs(): CollectionTabPlugin[];
export declare function useCollectionScopedModals(): HadronPluginComponent<CollectionTabPluginMetadata, any>[];
export declare function useCollectionQueryBar(): HadronPluginComponent<CollectionTabPluginMetadata, any>;
export {};
//# sourceMappingURL=collection-tab-provider.d.ts.map