import type { DataServiceLocator } from 'mongodb-data-service/provider';
import type { DataService } from 'mongodb-data-service';
import type { WorkspaceComponent } from '@mongodb-js/compass-workspaces';
export declare const CollectionTabPlugin: import("hadron-app-registry").HadronPluginComponent<import("./stores/collection-tab").CollectionTabOptions, {
    dataService: DataServiceLocator<keyof DataService>;
    instance: () => import("mongodb-instance-model").MongoDBInstance;
}>;
export declare const WorkspaceTab: WorkspaceComponent<'Collection'>;
export default CollectionTabPlugin;
export type { CollectionTabPluginMetadata } from './modules/collection-tab';
export { CollectionTabsProvider } from './components/collection-tab-provider';
//# sourceMappingURL=index.d.ts.map