import type AppRegistry from 'hadron-app-registry';
import type { DataService } from 'mongodb-data-service';
import type { MongoDBInstance } from 'mongodb-instance-model';
import type { ActivateHelpers } from 'hadron-app-registry';
export type CollectionTabOptions = {
    namespace: string;
    initialQuery?: unknown;
    initialAggregation?: unknown;
    initialPipeline?: unknown[];
    initialPipelineText?: string;
    editViewName?: string;
};
export type CollectionTabServices = {
    dataService: DataService;
    globalAppRegistry: AppRegistry;
    localAppRegistry: AppRegistry;
    instance: MongoDBInstance;
};
export declare function activatePlugin({ namespace, initialAggregation, initialPipeline, initialPipelineText, editViewName, }: CollectionTabOptions, services: CollectionTabServices, { on, cleanup }: ActivateHelpers): {
    store: import("redux").Store<import("../modules/collection-tab").CollectionState, import("redux").AnyAction> & {
        dispatch: import("redux-thunk").ThunkDispatch<any, {
            globalAppRegistry: AppRegistry;
            localAppRegistry: AppRegistry;
            dataService: DataService;
        }, import("redux").AnyAction>;
    };
    deactivate: () => void;
};
//# sourceMappingURL=collection-tab.d.ts.map