import React from 'react';
import type { CollectionState } from '../../modules/collection-tab';
type CollectionHeaderProps = {
    namespace: string;
    isReadonly: boolean;
    isTimeSeries: boolean;
    isClustered: boolean;
    isFLE: boolean;
    isAtlas: boolean;
    sourceName?: string;
    editViewName?: string;
    sourcePipeline?: unknown[];
    stats: CollectionState['stats'];
};
export declare const CollectionHeader: React.FunctionComponent<CollectionHeaderProps>;
declare const ConnectedCollectionHeader: import("react-redux").ConnectedComponent<React.FunctionComponent<CollectionHeaderProps>, {
    isTimeSeries: boolean;
    sourceName?: string | undefined;
    namespace: string;
    editViewName?: string | undefined;
    isReadonly: boolean;
    isClustered: boolean;
    isFLE: boolean;
    isAtlas: boolean;
    sourcePipeline?: unknown[] | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default ConnectedCollectionHeader;
//# sourceMappingURL=collection-header.d.ts.map